package com.jpsoft.shinestar.modules.business.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.business.entity.AdjustShiftPerson;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2021-4-27 15:42
 */
public interface AdjustShiftPersonService {

    AdjustShiftPerson get(String id);
    boolean exist(String id);
    int insert(AdjustShiftPerson model);
    int update(AdjustShiftPerson model);
    int delete(String id);
    List<AdjustShiftPerson> list();
    Page<AdjustShiftPerson> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<AdjustShiftPerson> findByAdjustShiftId(String id);
}
